--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: things to do when we receive a signal
full_name: Irc::Bot#got_sig
is_singleton: false
name: got_sig
params: (sig, func=:quit)
visibility: public
